Bug 1234943 - Disappearing mouse cursor
Summary: Disappearing mouse cursor
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-23 14:37 UTC by Patrick Uiterwijk
Modified: 2015-12-02 18:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 13:59:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 750230 None None None Never

Description Patrick Uiterwijk 2015-06-23 14:37:22 UTC
Description of problem:
Mouse cursor sometimes disappears from one of my monitors.


Version-Release number of selected component (if applicable):
kernel-4.0.4-201.fc21
gnome-shell.x86_64 3.14.4-2.fc21
xorg-x11-apps.x86_64 7.7-12.fc21
xorg-x11-docs.noarch 1.7-1.fc21
xorg-x11-drv-ati.x86_64 7.5.0-1.fc21
xorg-x11-drv-evdev.x86_64 2.9.1-2.fc21
xorg-x11-drv-fbdev.x86_64 0.4.3-19.fc21
xorg-x11-drv-intel.x86_64 2.99.916-3.20141117.fc21
xorg-x11-drv-modesetting.x86_64 0.9.0-2.fc21
xorg-x11-drv-nouveau.x86_64 1:1.0.11-1.fc21
xorg-x11-drv-openchrome.x86_64 0.3.3-12.fc21
xorg-x11-drv-qxl.x86_64 0.1.2-1.fc21
xorg-x11-drv-synaptics.x86_64 1.8.1-6.fc21
xorg-x11-drv-vesa.x86_64 2.3.2-19.fc21
xorg-x11-drv-vmmouse.x86_64 13.0.0-13.fc21
xorg-x11-drv-vmware.x86_64 13.0.2-8.20150211git8f0cf7c.fc21
xorg-x11-drv-wacom.x86_64 0.25.0-2.fc21
xorg-x11-font-utils.x86_64 1:7.5-25.fc21
xorg-x11-fonts-100dpi.noarch 7.5-14.fc21
xorg-x11-fonts-ISO8859-1-100dpi.noarch 7.5-14.fc21
xorg-x11-fonts-ISO8859-1-75dpi.noarch 7.5-14.fc21
xorg-x11-fonts-ISO8859-15-100dpi.noarch 7.5-14.fc21
xorg-x11-fonts-ISO8859-9-100dpi.noarch 7.5-14.fc21
xorg-x11-fonts-Type1.noarch 7.5-14.fc21
xorg-x11-fonts-misc.noarch 7.5-14.fc21
xorg-x11-proto-devel.noarch 7.7-12.fc21
xorg-x11-resutils.x86_64 7.5-11.fc21
xorg-x11-server-Xorg.x86_64 1.16.3-2.fc21
xorg-x11-server-Xvfb.x86_64 1.16.3-2.fc21
xorg-x11-server-Xwayland.x86_64 1.16.3-2.fc21
xorg-x11-server-common.x86_64 1.16.3-2.fc21
xorg-x11-server-utils.x86_64 7.7-10.fc21
xorg-x11-utils.x86_64 7.5-16.fc21
xorg-x11-xauth.x86_64 1:1.0.9-2.fc21
xorg-x11-xbitmaps.noarch 1.1.1-7.fc21
xorg-x11-xinit.x86_64 1.3.4-3.fc21
xorg-x11-xkb-utils.x86_64 7.7-12.fc21
xorg-x11-xtrans-devel.noarch 1.3.5-1.fc21


How reproducible:
Happens approximately twice a day


Steps to Reproduce:
No idea how to reproduce


Actual results:
This happens seemingly randomly, when I'm just working on my monitor: I move the cursor to the other monitor to use something there, and it just won't show.

It does still work: I can still control it, and use it to click and select, it just won't show anymore on that monitor.

The mouse cursor will still re-appear on my other monitor once I move it there, but is gone again when moved back.

When I move the cursor quickly between the two monitors, it sometimes switches monitors: it appears on the monitor it was previously gone, and disappears on the other one.

Most of the time, when I just try moving the mouse often enough between monitors, it will suddenly start working again.


Expected results:
Mouse cursor stays visible


Additional info:
Graphics card: Intel Ivybridge Mobile

00:02.0 VGA compatible controller [0300]: Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09) (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device [17aa:21fa]
	Flags: bus master, fast devsel, latency 0, IRQ 29
	Memory at f0000000 (64-bit, non-prefetchable) [size=4M]
	Memory at e0000000 (64-bit, prefetchable) [size=256M]
	I/O ports at 4000 [size=64]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915
	Kernel modules: i915

Comment 1 Barry Smith 2015-08-06 16:27:22 UTC
I have the same bug. It happens perhaps 50% of the time when I wake the computer from suspend-to-RAM. I'm using an external monitor as primary, with my laptop monitor shut off. The only way to fix it is to start up the "Displays" program under Hardware settings and re-enable the laptop monitor - then the mouse pointer appears again. This is in Fedora 22.

Comment 2 Berend De Schouwer 2015-09-27 04:21:11 UTC
I seem to get this mostly with Firefox (Xwayland?)

Comment 3 Fedora End Of Life 2015-11-04 10:25:25 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-12-02 13:59:35 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.